Bug 16737 - The duplicated default gateway.
The duplicated default gateway.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-22 14:45 EDT by Red Hat Bugzilla
Modified: 2014-03-16 22:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-23 11:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2000-08-22 14:45:25 EDT
I have a machine with 2 NICs. The default gateway is on eth1.
If I put

GATEWAY=10.1.0.1

in /etc/sysconfig/network-scripts/ifcfg-eth1, I got

# route
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use
Iface
10.3.1.0        *               255.255.255.0   U     0      0        0
eth0
10.1.0.0        *               255.255.0.0     U     0      0        0
eth1
127.0.0.0       *               255.0.0.0       U     0      0        0 lo
default         gateway         0.0.0.0         UG    0      0        0
eth1
default         gateway         0.0.0.0         UG    1      0        0
eth1

If I put

GATEWAY=10.1.0.1

in /etc/sysconfig/network. I got

# route
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use
Iface
10.3.1.0        *               255.255.255.0   U     0      0        0
eth0
10.1.0.0        *               255.255.0.0     U     0      0        0
eth1
127.0.0.0       *               255.0.0.0       U     0      0        0 lo
default         gateway         0.0.0.0         UG    0      0        0
eth1
Comment 1 Red Hat Bugzilla 2000-08-23 11:20:24 EDT
Bill:

this is in /etc/sysconfig/network-scripts/ifup:

    # this is broken! it's only here for compatibility with old RH systems
    if [ "${GATEWAY}" != "" -a "${GATEWAY}" != "none" ]; then
        route add default gw ${GATEWAY} metric 1 ${DEVICE}
    fi

Should it still be there?  I think this is the root of the problem.
Comment 2 Red Hat Bugzilla 2001-01-29 19:28:21 EST
This will be fixed in 5.60-1.

Note You need to log in before you can comment on or make changes to this bug.